Summary:        Hatch plugin for versioning with your preferred VCS
Name:           python-hatch-vcs
Version:        0.2.0
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/ofek/hatch-vcs
Source0:        https://github.com/ofek/hatch-vcs/archive/refs/tags/hatch_vcs-%{version}.tar.gz
Patch3000:      https://github.com/ofek/hatch-vcs/pull/9.patch
Patch3001:      https://github.com/ofek/hatch-vcs/pull/26.patch

BuildArch:      noarch
BuildRequires:  python3-devel  python3dist(pytest)
BuildRequires:  git-core

%description
This provides a plugin for Hatch that uses your preferred version control
system (like Git) to determine project versions.


%package -n python3-hatch-vcs
Summary:        Hatch plugin for versioning with your preferred VCS

%description -n python3-hatch-vcs 
This provides a plugin for Hatch that uses your preferred version control
system (like Git) to determine project versions.


%prep
%autosetup -n hatch_vcs-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hatch_vcs

%check
%pytest


%files -n python3-hatch-vcs -f %{pyproject_files}
%license LICENSE.txt
%license %{python3_sitelib}/hatch_vcs-%{version}.dist-info/licenses/
%doc HISTORY.md README.md

%changelog
* Thu May 4 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.2.0-4
- add patch to fix the test

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.2.0-1
- package init.
